### Method

# Fwupd Device get_protocols

since: 1.5.8

#### Declaration [src]

    GPtrArray*
    fwupd_device_get_protocols (
      FwupdDevice* self
    )

#### Description [src]

Gets the device protocol names.

Available since: 1.5.8

#### Return value

Type: An array of `utf8`

The device protocol names.

The returned data is owned by the instance.
Each element is a NUL terminated UTF-8 string.